@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

:host {
  position: relative;
  display: inline-block;
}

// toggle button
.app-toggle {
  @include robotoRegular;
  @include flex(center);
  font-size: 12px;
  line-height: 14px;
  color: $havelock-blue;
  cursor: pointer;
  user-select: none;

  &:hover {
    opacity: 0.8;
  }

  // icon
  .app-icon {
    @include box(20px);
    margin-right: 4px;

    ::ng-deep {
      path {
        fill: $egyptian-blue;
      }
    }
  }

  // lock
  app-icon-lock {
    ::ng-deep {
      svg {
        width: 13px;
        height: 17px;
      }
    }
  }

  // package
  app-icon-package {
    ::ng-deep {
      svg {
        width: 16px;
        height: 18px;
      }
    }
  }

  // mobile
  app-icon-mobile {
    ::ng-deep {
      svg {
        width: 13px;
        height: 18px;
      }
    }
  }
}

// associations
.app-associations {
  @include padding(0);
  position: absolute;
  transform: translateX(calc(-50% + 7.5px));
  min-width: 209px;
  z-index: 50;

  &.top {
    bottom: calc(100% + 22px);

    @include bottomArrow(15px, $white);
  }

  &.bottom {
    top: calc(100% + 22px);

    @include topArrow(15px, $white);
  }

  // header
  .app-header {
    @include padding(0 16px);
    @include flex(center, space-between);
    @include borderBottom(1px solid $solitude);
    height: 50px;

    // title
    app-card-title {
      font-size: 12px;
      line-height: 13px;
    }

    // count
    .app-count {
      @include ubuntuMedium;
      font-size: 16px;
      line-height: 18px;
      color: $eclipse;
    }
  }

  // content
  .app-content {
    @include borderBottom(1px solid $solitude);

    ::ng-deep {
      .ps-content {
        max-height: 53px * 4;
      }
    }
  }

  // footer
  .app-footer {
    @include padding(11px 16px);

    button {
      @include flex(center, center);
      width: 100%;
      height: 32px;
      font-size: 10px;
      line-height: 11px;

      .app-icon {
        @include box(14px);
        margin-right: 6px;

        ::ng-deep {
          path {
            fill: $havelock-blue;
          }
        }
      }

      app-icon-lock {
        ::ng-deep {
          svg {
            width: 9px;
            height: 12px;
          }
        }
      }

      app-icon-mobile {
        ::ng-deep {
          svg {
            width: 9px;
            height: 13px;
          }
        }
      }

      app-icon-package {
        ::ng-deep {
          svg {
            width: 11px;
            height: 12px;
          }
        }
      }
    }
  }
}

// association item
.app-association-item {
  @include flex(center);
  @include padding(0 16px);
  flex-wrap: nowrap;
  height: 53px;

  .app-icon {
    @include box(20px);

    ::ng-deep {
      path {
        fill: $egyptian-blue;
      }
    }
  }

  app-icon-lock {
    ::ng-deep {
      svg {
        width: 13.3px;
        height: 17.5px;
      }
    }
  }

  app-icon-package {
    ::ng-deep {
      svg {
        width: 16.3px;
        height: 18px;
      }
    }
  }

  // right section
  .app-right {
    margin-left: 13px;

    // name
    .app-name {
      @include robotoMedium;
      font-size: 12px;
      line-height: 14px;
      color: $eclipse;
      white-space: nowrap;
    }

    // state
    app-state-label {
      margin-top: 2px;
    }
  }
}

// border top
.app-association-item + .app-association-item {
  @include borderTop(1px solid $solitude);
}

@media (max-width: 767px) {
  .device-association {
    transform: translateX(calc(-50% + 150px));
  }
  .space-association {
    transform: translateX(calc(-50% + 40px));
  }
  .space-association.bottom::after {
    left: 76%;
  }
  .device-association.bottom::after {
    left: 22%;
  }
  .space-association.top::after {
    left: 64%;
  }
  .device-association.top::after {
    left: 28%;
  }
}
